<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<input-box 
    type="text"
    style="${item.getEditorCssStyle()}"
    :value="layoutData.${editor.name}" 
    :disabled="layoutModelDetails.${editor.name}.disabled"
    <#if editor.getEditorParam("maxlength", "") != "">
    :maxlength='${editor.getEditorParam("maxlength","")}'
    </#if>
    <#if editor.getEditorParam("showWordLimit","") != "">
    :showWordLimit='${editor.getEditorParam("showWordLimit","")}'
    </#if>
    <#if editor.getEditorParam("prepend","") != "">
    prepend='${editor.getEditorParam("prepend","")}'
    </#if>
    <#if editor.getEditorParam("append","") != "">
    append='${editor.getEditorParam("append","")}'
    </#if>
    <#if item.getUnitName?? && item.getUnitName()??>unit="${item.getUnitName()}"</#if>
    <#if item.getPlaceHolder()??>placeholder="${item.getPlaceHolder()}"</#if>
    @change="(value) => handleValueChange({ name: '${editor.name}', value})">
</input-box>
</#if>