 <#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
 <dropdown-list
    v-model="data.${editor.name}"
    editorStyle="cascader"
    :disabled="detailsModel.${editor.name}.disabled"
    :data="data" 
    :context="context"
    :viewparams="viewparams"
    :localContext =<@getNavigateContext editor />
    :localParam =<@getNavigateParams editor />
    <#if editor.getPSCodeList()??>
    <#assign codelist=editor.getPSCodeList()>
    tag='${codelist.codeName}' 
    codelistType='${codelist.getCodeListType()}'
    </#if>
    placeholder=<#if item.getPlaceHolder()??>'${item.getPlaceHolder()}'<#else>'请选择...'</#if>
    <#if editor.getEditorParam("label", "") != "">
    label="${editor.getEditorParam("label", "")}"
    </#if>
    <#if editor.getEditorParam("filterable", "") != "">
    :filterable="${editor.getEditorParam("filterable", "")}"
    </#if>
    <#if editor.getEditorParam("separator", "") != "">
    separator="${editor.getEditorParam("separator", "")}"
    </#if>
    <#if editor.getEditorParam("showAllLevels", "") != "">
    :showAllLevels="${editor.getEditorParam("showAllLevels", "")}"
    </#if>
    style="${editor.getEditorCssStyle()}" 
    @change="($event)=>{onFormItemValueChange({name:'${editor.name}',value:$event})}" 
 ></dropdown-list>
</#if>