<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
 <dropdown-list 
    :value="layoutData.${editor.name}" 
    :data="layoutData" 
    :context="context"
    :viewparams="viewparams"
    :formState="viewState" 
    :disabled="layoutModelDetails.${editor.name}.disabled"
    :localContext=<@getNavigateContext editor />
    :localParam=<@getNavigateParams editor />
    :clearable='<#if editor.getEditorParam('clearable','') != ''>${editor.getEditorParam('clearable','')}<#else>true</#if>'
    :filterable='<#if editor.getEditorParam('filterable','') != ''>${editor.getEditorParam('filterable','')}<#else>true</#if>'
    <#if editor.getPSCodeList()??>
    <#assign codelist=editor.getPSCodeList()>
    tag="${codelist.codeName}"
    codelistType="${codelist.getCodeListType()}"
    </#if> 
    placeholder=<#if item.getPlaceHolder()??>'${item.getPlaceHolder()}'<#else>'请选择...'</#if> 
    style="${editor.getEditorCssStyle()}"
    @change="(value) => handleValueChange({ name: '${editor.name}', value})">
 </dropdown-list>
</#if>