<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<dropdown-list-mpicker 
  v-model="data.${editor.name}"
  :data="data" 
  :context="context"
  :viewparams="viewparams" 
  :localContext =<@getNavigateContext editor />
  :localParam =<@getNavigateParams editor />
  :clearable='<#if editor.getEditorParam('clearable','') != ''>${editor.getEditorParam('clearable','')}<#else>true</#if>'
  :filterable='<#if editor.getEditorParam('filterable','') != ''>${editor.getEditorParam('filterable','')}<#else>true</#if>'
  :disabled="detailsModel.${editor.name}.disabled" 
  <#if editor.getPSCodeList()??>
  <#assign codelist=editor.getPSCodeList()>
  tag='${codelist.codeName}' 
  codelistType='${codelist.getCodeListType()}' 
    <#if codelist.valueSeparator?has_content>
  valueSeparator="${codelist.valueSeparator}"
    </#if>
  </#if> 
  editorStyle="tree"
  placeholder=<#if item.getPlaceHolder()??>'${item.getPlaceHolder()}'<#else>'请选择...'</#if> style="${editor.getEditorCssStyle()}"
  @change="($event)=>{onFormItemValueChange({name:'${editor.name}',value:$event})}" >
</dropdown-list-mpicker>
</#if>