<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<div class="ivu-input-wrapper ivu-input-wrapper-default ivu-input-type">
    <input-box 
        :disabled="getColumnDisabled(row,column.property)" 
        v-model="row[column.property]" 
        <#if editor.getEditorParam("maxlength", "") != "">
        :maxlength='${editor.getEditorParam("maxlength","")}'
        </#if>
        <#if editor.getEditorParam("showWordLimit","") != "">
        :showWordLimit='${editor.getEditorParam("showWordLimit","")}'
        </#if>
        style="${item.getEditorCssStyle()}" 
        <#if item.getPlaceHolder()??> placeholder="${item.getPlaceHolder()}"</#if> 
        type='textarea'
        @focus="($event)=>{gridDetailFocus(row, {name: column.property, value: $event}, $index)}"
        @blur="($event)=>{gridDetailBlur(row, {name: column.property, value: $event}, $index)}"
        @change="($event)=>{gridEditItemChange(row, {name: column.property, value: $event}, $index)}">
    </input-box>
</div>
</#if>