<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<input-box 
    v-model="row[column.property]" 
    type="password" 
    style="${item.getEditorCssStyle()}" 
    <#if item.getPlaceHolder()??>
    placeholder="${item.getPlaceHolder()}"
    </#if> 
    :disabled="getColumnDisabled(row,column.property)" 
    @focus="($event)=>{gridDetailFocus(row, {name: column.property, value: $event}, $index)}"
    @blur="($event)=>{gridDetailBlur(row, {name: column.property, value: $event}, $index)}"
    @change="($event)=>{gridEditItemChange(row, {name: column.property, value: $event}, $index)}">
</input-box>
</#if>