<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-number-range-picker
    name="${editor.name}"
    :value="data.${editor.name}"
    :data="data"
    valueItemNames='<#if item.getValueItemNames?? && item.getValueItemNames()??><#list item.getValueItemNames() as valueItem>${valueItem}<#if valueItem_has_next>,</#if></#list></#if>'
    <#if editor.getEditorParam("precision", "") != "">
    :precision="${editor.getEditorParam("precision", "")}"
    </#if>
    <#if editor.getEditorParam("min", "") != "">
    :min="${editor.getEditorParam("min", "")}"
    </#if>
    <#if editor.getEditorParam("max", "") != "">
    :max="${editor.getEditorParam("max", "")}"
    </#if>
    <#if editor.getEditorParam("startPlaceholder", "") != "">
    startPlaceholder="${editor.getEditorParam("startPlaceholder", "")}"
    </#if>
    <#if editor.getEditorParam("endPlaceholder", "") != "">
    endPlaceholder="${editor.getEditorParam("endPlaceholder", "")}"
    </#if>
    <#if editor.getEditorParam("size", "") != "">
    size="${editor.getEditorParam("size", "")}"
    </#if>
    <#if editor.getEditorParam("valueSeparator", "") != "">
    valueSeparator="${editor.getEditorParam("valueSeparator", "")}"
    </#if>
    <#if editor.getEditorParam("readonly", "") != "">
    :readonly="${editor.getEditorParam("readonly","")}"
    </#if>
    :disabled="detailsModel.${editor.name}.disabled" 
    @formitemvaluechange="onFormItemValueChange"
    @focus="formDetailFocus"
    @blur="formDetailBlur">
</app-number-range-picker>
</#if>