<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<input-box 
    v-model="data.${editor.name}"  
    @enter="onEnter($event)"  
    <#if item.getUnitName()??> unit="${item.getUnitName()}"</#if>  
    :disabled="detailsModel.${editor.name}.disabled" 
    type='<#if item.getPSDEField?? && item.getPSDEField()??><#assign datatype=srfjavatype(item.getPSDEField().getStdDataType())><#if datatype=='BigInteger' || datatype=='Integer' || datatype=='Double' || datatype=='Decimal' || datatype=='Float' || datatype=='BigDecimal'>number<#else>text</#if><#else>text</#if>' 
    <#if item.getPSDEField?? && item.getPSDEField()?? && item.getPSDEField().getPrecision??>
    <#assign datatype=srfjavatype(item.getPSDEField().getStdDataType())>
    <#if datatype=='Double' || datatype=='Decimal' || datatype=='Float' || datatype=='BigDecimal'>
    <#if item.getPSDEField().getPrecision() == 0>
    :precision="2"
    <#else>
    :precision="${item.getPSDEField().getPrecision()?c}"
    </#if>
    </#if>
    </#if>
    <#if item.getPlaceHolder()??> 
    placeholder="${item.getPlaceHolder()}"
    </#if>
    <#if editor.getEditorParam("maxlength", "") != "">
    :maxlength='${editor.getEditorParam("maxlength","")}'
    </#if>
    <#if editor.getEditorParam("showWordLimit","") != "">
    :showWordLimit='${editor.getEditorParam("showWordLimit","")}'
    </#if>
    <#if editor.getEditorParam("prepend","") != "">
    prepend='${editor.getEditorParam("prepend","")}'
    </#if>
    <#if editor.getEditorParam("append","") != "">
    append='${editor.getEditorParam("append","")}'
    </#if>
    @change="($event)=>{onFormItemValueChange({name:'${editor.name}',value:$event})}" 
    @focus="($event)=>{formDetailFocus({name:'${editor.name}',value:$event})}"
    @blur="($event)=>{formDetailBlur({name:'${editor.name}',value:$event})}"
    style="${editor.getEditorCssStyle()}">
</input-box>
</#if>