<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-cascader
    name="${editor.name}"
    v-model="layoutData.${editor.name}"  
    :disabled="layoutModelDetails.${editor.name}.disabled"
    :data="layoutData"
    :context="context"
    :viewparams="viewparams"
    <#if editor.getEditorParam("editorType", "") != "">
    editorType="${editor.getEditorParam("editorType","")}"
    </#if>
    <#if editor.getEditorParam("readonly", "") != "">
    :readonly="${editor.getEditorParam("readonly","")}"
    </#if>
    <#if editor.getEditorParam("filterable", "") != "">
    :filterable="${editor.getEditorParam("filterable","")}"
    </#if>
    <#if editor.getEditorParam("separator","") != "">
    separator="${editor.getEditorParam("separator","")}"
    </#if>
    <#if editor.getEditorParam("multiple","") != "">
    :multiple="${editor.getEditorParam("multiple","")}"
    </#if>
    <#if editor.getEditorParam("size", "") != "">
    size="${editor.getEditorParam("size", "")}"
    </#if>
    <#if editor.getPSEditorItems?? && editor.getPSEditorItems()??>
    :valueItems="[
        <#list editor.getPSEditorItems() as editItem>
        {name: '${editItem.name}', <#if editItem.getPSAppDEDataSet?? && editItem.getPSAppDEDataSet()??>dataSet: '${editItem.getPSAppDEDataSet().name}', </#if><#if editItem.getPSAppDataEntity?? && editItem.getPSAppDataEntity()??>appDataEntity:{ appDataEntityCodeName: '${editItem.getPSAppDataEntity().codeName}', deKeyField: '${editItem.getPSAppDataEntity().getKeyPSAppDEField().codeName}', deMajorField: '${editItem.getPSAppDataEntity().getMajorPSAppDEField().codeName}'} </#if>},
        </#list>
    ]"
    </#if>
    style="${editor.getEditorCssStyle()}"
    placeholder="<#if item.getPlaceHolder()??>${item.getPlaceHolder()}<#else>请选择</#if>"
    @change="($event)=>{handleValueChange($event)}">
</app-cascader>
</#if>