<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-rate 
    name='${editor.name}' 
    :value="row[column.property]"     
    :disabled="getColumnDisabled(row,column.property)" 
<#if item.getEditorParam('max','') != ''>
    :max="${item.getEditorParam('max','')}"
</#if>
<#if item.getEditorParam('texts','') != ''>
    :texts="${item.getEditorParam('texts','')}"
</#if>
<#if item.getEditorParam('colors','') != ''>
    :colors="${item.getEditorParam('colors','')}"
</#if>
<#if item.getEditorParam('showText','') != ''>
    :showText="${item.getEditorParam('showText','')}"
</#if>
<#if item.getPSCodeList?? && item.getPSCodeList()??>
  <#assign codelist=item.getPSCodeList()>
    tag='${codelist.codeName}' <#t>
    codelistType='${codelist.getCodeListType()}' <#t>
  <#if codelist.getValueSeparator?? && codelist.getValueSeparator()?? && codelist.getValueSeparator() != ''>
    valueSeparator='${codelist.getValueSeparator()}' <#t>
  </#if>
</#if>
    style="${item.getEditorCssStyle()}"
    @change="($event)=>{onGridItemValueChange(row, {name:column.property, value:$event}, $index)}"  ></app-rate>
</#if>