 <#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
  <app-address-cascader
    v-model="row[column.property]"
    :name="column.property"
    :disabled="getColumnDisabled(row,column.property)"
    :data="row" 
    :context="context"
    :viewparams="viewparams"
    :localContext =<@getNavigateContext editor />
    :localParam =<@getNavigateParams editor />
    <#if editor.getPSCodeList()??>
    <#assign codelist=editor.getPSCodeList()>
    tag='${codelist.codeName}' 
    codelistType='${codelist.getCodeListType()}'
    </#if>
    placeholder=<#if item.getPlaceHolder()??>'${item.getPlaceHolder()}'<#else>'请选择...'</#if> 
    <#if editor.getEditorParam("label", "") != "">
    label="${editor.getEditorParam("label", "")}"
    </#if>
    <#if editor.getEditorParam("value", "") != "">
    itemvalue="${editor.getEditorParam("value", "")}"
    </#if>
    <#if editor.getEditorParam("desc", "") != "">
    desc="${editor.getEditorParam("desc", "")}"
    </#if>
    <#if editor.getEditorParam("multiple", "") != "">
    :multiple="${editor.getEditorParam("multiple", "")}"
    </#if>
    <#if editor.getEditorParam("filterable", "") != "">
    :filterable="${editor.getEditorParam("filterable", "")}"
    </#if>
    <#if editor.getEditorParam("separator", "") != "">
    separator="${editor.getEditorParam("separator", "")}"
    </#if>
    <#if editor.getEditorParam("showAllLevels", "") != "">
    :showAllLevels="${editor.getEditorParam("showAllLevels", "")}"
    </#if>
    style="${item.getEditorCssStyle()}" 
    @change="($event)=>{gridEditItemChange(row, column.property, $event.value, $index)}"
 ></app-address-cascader>
 </#if>
