 <#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
 <app-tree-select 
    v-model="row[column.property]" 
    :disabled="getColumnDisabled(row,column.property)" 
    :data="row" 
    :context="context"
    :viewparams="viewparams" 
    :localContext =<@getNavigateContext editor />
    :localParam =<@getNavigateParams editor />
    <#if item.getPSCodeList()??>
    <#assign codelist=item.getPSCodeList()>
    tag='${codelist.codeName}' 
    codelistType='${codelist.getCodeListType()}'
    </#if> 
    <#if editor.getEditorParam("readonly", "") != "">
    :readonly="${editor.getEditorParam("readonly", "")}"
    </#if>
    <#if editor.getEditorParam("multiple", "") != "">
    :multiple="${editor.getEditorParam("multiple", "")}"
    </#if>
    <#if editor.getEditorParam("parent", "") != "">
    :parent="${editor.getEditorParam("parent", "")}"
    </#if>
    <#if editor.getEditorParam("checkStrictly", "") != "">
    :checkStrictly="${editor.getEditorParam("checkStrictly", "")}"
    </#if>
    placeholder=<#if item.getPlaceHolder()??>'${item.getPlaceHolder()}'<#else>'请选择...'</#if> 
    style="${item.getEditorCssStyle()}" 
    @change="($event)=>{gridEditItemChange(row, column.property, $event, $index)}">
 </app-tree-select>
 </#if>
