<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
 <app-tree-select 
    :value="layoutData.${editor.name}" 
    :data="layoutData" 
    :context="context"
    :viewparams="viewparams"
    :formState="viewState" 
    :disabled="layoutModelDetails.${editor.name}.disabled"
    :localContext=<@getNavigateContext editor />
    :localParam=<@getNavigateParams editor />
    <#if editor.getPSCodeList()??>
    <#assign codelist=editor.getPSCodeList()>
    tag="${codelist.codeName}"
    codelistType="${codelist.getCodeListType()}"
    </#if> 
    <#if editor.getEditorParam("readonly", "") != "">
    :readonly="${editor.getEditorParam("readonly", "")}"
    </#if>
    <#if editor.getEditorParam("multiple", "") != "">
    :multiple="${editor.getEditorParam("multiple", "")}"
    </#if>
    <#if editor.getEditorParam("parent", "") != "">
    :parent="${editor.getEditorParam("parent", "")}"
    </#if>
    <#if editor.getEditorParam("checkStrictly", "") != "">
    :checkStrictly="${editor.getEditorParam("checkStrictly", "")}"
    </#if>
    placeholder=<#if item.getPlaceHolder()??>'${item.getPlaceHolder()}'<#else>'请选择...'</#if> 
    style="${editor.getEditorCssStyle()}"
    @change="(value) => handleValueChange({ name: '${editor.name}', value})">
 </app-tree-select>
</#if>