<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<dropdown-list-mpicker 
  v-model="row[column.property]" 
  :data="row" 
  :context="context"
  :viewparams="viewparams" 
  :localContext =<@getNavigateContext editor />
  :localParam =<@getNavigateParams editor />
  :disabled="getColumnDisabled(row,column.property)"  
  :clearable='<#if editor.getEditorParam('clearable','') != ''>${editor.getEditorParam('clearable','')}<#else>true</#if>'
  :filterable='<#if editor.getEditorParam('filterable','') != ''>${editor.getEditorParam('filterable','')}<#else>true</#if>'
<#if item.getPSCodeList()??>
  <#assign codelist=editor.getPSCodeList()>
  tag='${codelist.codeName}' 
  codelistType='${codelist.getCodeListType()}'
  <#if codelist.valueSeparator?has_content>valueSeparator="${codelist.valueSeparator}"</#if>
</#if> 
  placeholder=<#if item.getPlaceHolder()??>'${item.getPlaceHolder()}'<#else>'请选择...'</#if>
  style="${item.getEditorCssStyle()}"
  @change="($event)=>{gridEditItemChange(row, column.property, $event, $index)}"
  @click="($event)=>{gridDetailClick(row, column.property, $event, $index)}">
</dropdown-list-mpicker>
</#if>