<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-radio-group 
  v-model="row[column.property]" 
  :disabled="getColumnDisabled(row,column.property)" 
  name='${editor.name}'
  :data="row" 
  :context="context"
  :viewparams="viewparams" 
  :localContext =<@getNavigateContext editor />
  :localParam =<@getNavigateParams editor />
  @change="($event)=>{onGridItemValueChange(row, {name:column.property, value:$event}, $index)}" 
<#if item.isNeedCodeListConfig()??>
  <#assign codelist=item.getPSCodeList()>
  tag='${codelist.codeName}' 
  codelistType='${codelist.getCodeListType()}' 
</#if>
  <#if editor.getEditorParam("button", "") != "">:button="${editor.getEditorParam("button", "")}"</#if>
  <#if editor.getEditorParam("border", "") != "">:border="${editor.getEditorParam("border", "")}"</#if>
  <#if editor.getEditorParam("size", "") != "">size="${editor.getEditorParam("size", "")}"</#if>
  style="${item.getEditorCssStyle()}">
</app-radio-group>
</#if>