<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-map-picker 
    :name="column.property"
    :value="row[column.property]" 
    :data="row"
    valueItemNames='<#if editor.getValueItemNames?? && editor.getValueItemNames()??><#list editor.getValueItemNames() as valueItem>${valueItem}<#if valueItem_has_next>,</#if></#list></#if>'
    :formState="viewState"
    <#if editor.getEditorParam("readonly", "") != "">
    :readonly="${editor.getEditorParam("readonly","")}"
    </#if>
    :disabled="getColumnDisabled(row,column.property)" 
    <#if item.getPlaceHolder()??>placeholder="${item.getPlaceHolder()}"</#if>
    @formitemvaluechange="($event)=>{onGridItemValueChange(row,$event,$index)}"
    @focus="($event)=>{gridDetailFocus(row, $event, $index)}"
    @blur="($event)=>{gridDetailBlur(row, $event, $index)}">
</app-map-picker>
</#if>