<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<input-box 
    v-model="data.${editor.name}"  
    :disabled="detailsModel.${editor.name}.disabled" 
    type='textarea'
    <#if editor.getEditorParam("maxlength", "") != "">
    :maxlength='${editor.getEditorParam("maxlength","")}'
    </#if>
    <#if editor.getEditorParam("showWordLimit","") != "">
    :showWordLimit='${editor.getEditorParam("showWordLimit","")}'
    </#if>
    <#if editor.getEditorParam("maxRows","") != "">
    :maxRows='${editor.getEditorParam("maxRows","")}'
    </#if>
    <#if editor.getEditorParam("minRows","") != "">
    :minRows='${editor.getEditorParam("minRows","")}'
    </#if>
    style="${editor.getEditorCssStyle()}" 
    <#if item.getPlaceHolder()??> placeholder="${item.getPlaceHolder()}"</#if>
    @change="($event)=>{onFormItemValueChange({name:'${editor.name}',value:$event})}" 
    @focus="($event)=>{formDetailFocus({name:'${editor.name}',value:$event})}"
    @blur="($event)=>{formDetailBlur({name:'${editor.name}',value:$event})}"
    ></input-box>
</#if>