<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<div class="ivu-input-wrapper ivu-input-wrapper-default ivu-input-type">
  <input-box 
    class="ivu-input" 
    :disabled="detailsModel.${item.getCodeName()}.disabled" 
    v-model="data.${editor.name?lower_case}"
    <#if editor.getEditorParam("maxlength", "") != "">
    :maxlength='${editor.getEditorParam("maxlength","")}'
    </#if>
    <#if editor.getEditorParam("showWordLimit","") != "">
    :showWordLimit='${editor.getEditorParam("showWordLimit","")}'
    </#if>
    style="${item.getEditorCssStyle()}" 
    <#if item.getPlaceHolder?? && item.getPlaceHolder()??> 
    placeholder="${item.getPlaceHolder()}"
    </#if> 
    @change="($event)=>{panelEditItemChange(data, '${editor.name?lower_case}', $event)}">
  </input-box>
</div>
</#if>