<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-date-range-picker
    name="${editor.name}"
    :value="data.${editor.name}"
    :data="data"
    valueItemNames='<#if item.getValueItemNames?? && item.getValueItemNames()??><#list item.getValueItemNames() as valueItem>${valueItem}<#if valueItem_has_next>,</#if></#list></#if>'
    <#if editor.getEditorParam("type", "") != "">
    type="${editor.getEditorParam("type", "")}"
    </#if>
    <#if editor.getEditorParam("mode", "") != "">
    mode="${editor.getEditorParam("mode", "")}"
    </#if>
    <#if editor.getEditorParam("format", "") != "">
    format="${editor.getEditorParam("format", "")}"
    </#if>
    <#if editor.getEditorParam("valueFormat", "") != "">
    valueFormat="${editor.getEditorParam("valueFormat", "")}"
    </#if>
    <#if editor.getEditorParam("startPlaceholder", "") != "">
    startPlaceholder="${editor.getEditorParam("startPlaceholder", "")}"
    </#if>
    <#if editor.getEditorParam("endPlaceholder", "") != "">
    endPlaceholder="${editor.getEditorParam("endPlaceholder", "")}"
    </#if>
    <#if editor.getEditorParam("unlinkPanels", "") != "">
    :unlinkPanels="${editor.getEditorParam("unlinkPanels", "")}"
    </#if>
    <#if editor.getEditorParam("size", "") != "">
    size="${editor.getEditorParam("size", "")}"
    </#if>
    <#if editor.getEditorParam("valueSeparator", "") != "">
    valueSeparator="${editor.getEditorParam("valueSeparator", "")}"
    </#if>
    <#if editor.getEditorParam("readonly", "") != "">
    :readonly="${editor.getEditorParam("readonly","")}"
    </#if>
    :disabled="detailsModel.${editor.name}.disabled" 
    @formitemvaluechange="onFormItemValueChange"
    @focus="formDetailFocus"
    @blur="formDetailBlur">
</app-date-range-picker>
</#if>