<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-rate 
    name='${editor.name}' 
    :value="this.data.${editor.name}"     
    :disabled="detailsModel.${editor.name}.disabled" 
    style="${editor.getEditorCssStyle()}"
<#if item.getEditorParam('max','') != ''>
    :max="${item.getEditorParam('max','')}"
</#if>
<#if item.getEditorParam('texts','') != ''>
    :texts="${item.getEditorParam('texts','')}"
</#if>
<#if item.getEditorParam('colors','') != ''>
    :colors="${item.getEditorParam('colors','')}"
</#if>
<#if item.getEditorParam('showText','') != ''>
    :showText="${item.getEditorParam('showText','')}"
</#if>
<#if item.getPSCodeList?? && item.getPSCodeList()??>
  <#assign codelist=item.getPSCodeList()>
    tag='${codelist.codeName}' <#t>
    codelistType='${codelist.getCodeListType()}' <#t>
  <#if codelist.getValueSeparator?? && codelist.getValueSeparator()?? && codelist.getValueSeparator() != ''>
    valueSeparator='${codelist.getValueSeparator()}' <#t>
  </#if>
</#if> 
    @change="($event)=>{onFormItemValueChange({name:'${editor.name}',value:$event})}" >
</app-rate>
</#if>