<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-checkbox-list 
  v-model="data.${editor.name}" 
  :data="data" 
  :context="context"
  :viewparams="viewparams" 
  :disabled="detailsModel.${editor.name}.disabled" 
  :localContext =<@getNavigateContext editor />
  :localParam =<@getNavigateParams editor />
  <#if editor.getPSCodeList()??>
  <#assign codelist=editor.getPSCodeList()>
  tag='${codelist.codeName}' 
  codelistType='${codelist.getCodeListType()}' 
  <#if codelist.valueSeparator?has_content>
  valueSeparator="${codelist.valueSeparator}"
  </#if>  
  mode="${codelist.getOrMode()?lower_case}"
  </#if> 
  name="${editor.name}" 
  <#if editor.getEditorParam("button", "") != "">:button="${editor.getEditorParam("button", "")}"</#if>
  <#if editor.getEditorParam("border", "") != "">:border="${editor.getEditorParam("border", "")}"</#if>
  <#if editor.getEditorParam("size", "") != "">size="${editor.getEditorParam("size", "")}"</#if>
  <#if editor.getEditorParam("change", "") != "">@change="${editor.getEditorParam("size", "")}"</#if>
  style="${editor.getEditorCssStyle()}"
  @change="($event)=>{onFormItemValueChange({name:'${editor.name}',value:$event})}">
</app-checkbox-list>
</#if>